cheapskate-0.1.1.2: Experimental markdown processor.

Safe Haskell | None
Language | Haskell2010

Cheapskate.Html

Synopsis

- renderDoc :: Doc -> Html
- renderBlocks :: Options -> Blocks -> Html
- renderInlines :: Options -> Inlines -> Html

# Documentation

renderDoc :: Doc -> Html #

Render a markdown document as `Html`. (This can be turned into a `Text` or `ByteString` using a renderer from the `blaze-html` library.)

renderBlocks :: Options -> Blocks -> Html #

renderInlines :: Options -> Inlines -> Html #